# Minecraft Remade

A large datapack that tweaks to vanilla loot_tables/recipes/tags and adds some functions/loot_tables/recipes.

- Author: Minecraft_hyr
- Version: 0.1.1
- Supported MC versions: 1.20~1.20.2

### Dependencies

Optional:

- [JEI](https://modrinth.com/mod/jei)/[REI](https://modrinth.com/mod/rei)/[EMI](https://modrinth.com/mod/emi)

### Feature List

<details><summary style="font-size:18px">English</summary>

#### New

284 files

- Entity spectral_arrow always glowing
- Eating glow berries gives you 10 seconds of glowing effect
- Warped Fungus on a Stick / Carrot on a Stick drop 1 stick when destroyed
- You can blast some smelt recipe
- You can smelting/blasting Raw Ore Block
- You can craft some balanced powerful things: (Unfixed Feature)
  - enchanted golden apple
  - totem of undying
  - elytra
  - ......
- You can craft blocks like:
  - dirt + grass => grass_block
  - netherrack + warped_root => warped_nylium
  - cobblestone + ender_pearl => end_stone
  - ......
- You can craft dirt by:
  - gravel + clay
  - sand + mud
- Separate item:
  - Boat with the Chest => Boat + Chest (not preview-able)
  - ... Minecart => Minecart + ... (not preview-able)
- Smelting 200t / Blasting 100t:
  - glow_ink_sac / glow_berries => glowstone_dust + 0.1 exp
  - tuff => andesite + 0.1 exp
  - dripstone_block => calcite + 0.1 exp
  - mud => clay + 0.1 exp
  - bell / clock / golden_horse_armor => gold_ingot
  - cauldron / compass / iron_horse_armor => iron_ingot
  - prismarine_shard => prismarine_crystals + 0.25 exp
  - nether_wart => red_dye
  - tuff => stone + 0.1 exp
- Smelting 200t / Blasting 100t / Campfire_cooking 600t:
  - #saplings => dead_bush
  - rotten_flesh => rabbit_hide + 1.0 exp
- Smithing transform:
  - obsidian + ghast_tear => crying_obsidian
  - damaged_anvil + iron_block => chipped_anvil
  - chipped_anvil + iron_block => anvil
  - stone + stone => deepslate
  - gravel + gravel => tuff
- Stonecutting:
  - amethyst_block => amethyst_shard \*9
  - bricks => brick \*8
  - nether_bricks => nether_brick \*4
  - pumpkin => carved_pumpkin \*1
  - stone => cobblestone \*1
  - deepslate => cobbled_deepslate \*1
  - tuff => gravel \*1
  - magma_block => magma_cream \*4
  - dripstone_block => pointed_dripstone \*4
  - prismarine => prismarine_shard \*9
  - quartz_block => quartz \*9
  - granite => red_sand \*1
  - sandstone => sand \*2
  - red_sandstone => red_sand \*2
  - diorite => sand \*1
  - snow_block => snow \*8
  - honeycomb_block => honeycomb \*4
  - soul_soil => soul_sand \*1
  - pottery_sherd => Any pottery_sherd \*1
  - tuff => gravel \*2
  - sandstone => sand \*2
  - red_sandstone => red_sand \*2
- Smoking:
  - stone => black_stone
  - white_dye => light_gray_dye
  - light_gray_dye => gray_dye
  - gray_dye => black_dye
- tnt + tripwire_hook => unstable tnt
- skull/wither_skull/zombie_head recipe
- - `recipes`
  - mc_remade:stonecutting/gravel
  - mc_remade:stonecutting/red_sand
  - mc_remade:stonecutting/sand

#### Modifications

470 files

- Little tweaks to archaeology
- Leaves drops:
  - stick ——2 weight
  - sapling ——1 weight (mangrove_leaves turn this weight to stick)
  - air ——2 weight
- Full bee_nest/beehive drop honeycomb
- cake drop it self when no bite
- Drop it self:
  - bookshelf
- chorus_flower drop chorus_fruit / silk_touch drop chorus_flower
- chorus_plant drop nothing / silk_touch drop chorus_plant
- Drop it self with silk_touch:
  - budding_amethyst
- Crops drops are more science (I think..?)
- Ores drops with Cobblestone(Cobbled Deepslate)
- ancient_debris drops netherite_scarp
- (tall)grass/(large)fern drops 4 types of seed
- gravel drops iron_nugget/clay/flint/gold_nugget
- jungle_temple_dispenser possible drops poison arrow
- More mobs drops bone, leather
- Human-shape mobs drops emerald
- sniffer drops moss_block
- snow_golem drops carved_pumpkin when it's equipping.
- Some mobs drops smithing_template
- player drop player_head when killed by player (Unfixed feature)
- ...

- logs can craft only 1 planks
- Smithing transform:
  - ice + ice => packed_ice
  - packed_ice + packed_ice => blue_ice
  - sand + sand => sandstone
  - red_sand + red_sand => red_sandstone
  - stone + quartz => diorite
  - diorite + quartz => granite
- clay / bricks-like block require 8 ingredients as ingredient / to un-craft / drop 8 ingredients
- wheat as food in vanilla recipes is replaced by wheat_seeds
- banner recipe only need 1 wool as ingredient
- Better recipe
  - shapeless cake
  - redstone block**s**
  - conduit
  - planks + leather => crafting_table
  - shapeless rail
  - shapeless ladder
  - shapeless stone variant conversion
- dried_kelp cooking time is 50% of vanilla
- enchanting_table need a redstone_block as ingredient
- end_crystal need amethyst_shard & ender_eye & glass & ghast_tear as ingredients
- boat need 5(raft ——3) slab 2 wooden_shovel as ingredients
- Tweaked smelting/blasting raw resource experience
- Duplicate smithing_template now cost 1 diamond
- hopper doesn't need chest as ingredient
- lead doesn't need slime_ball as ingredient
- wooden_pressure_plates => paper
- spectral_arrow only needs 1 glowstone_dust
- shield needs iron_ingot, 3 iron_nugget, 3 planks as ingredient
- blocks need 1 dye to dye
- glass_pane need use stonecutter to cut
- glass =~~crafting_shaped~~stonecutting> glass_pane
- stick =smelting 200t / blasting 100t / campfire_cooking 600t> torch
- 4\* red_dye + 2\* paper + 3\* gunpowder =crafting_shaped> tnt
- ...


<details><summary style="font-size:16px">Details</summary>

**Blocks:**

- beacon_base_blocks.json:  
  replace:false
  - (waxed)copper_block
- climbable.json:  
  replace:false
  - chain
- dampens_vibrations.json:  
  replace:false
  - #beds
- enderman_holdable.json:  
  replace:false
  - suspicious(gravel/sand)
  - cobweb
  - soul(sand/soil)
  - snow
- infiniburn_nether.json:
  - netherrack
  - infiniburn_overworld
- infiniburn_overworld.json:
  - magma_block
- needs_diamond_tool.json:
  - netherite_block
  - ancient_debris
- needs_iron_tool.json:
  - diamond_block
  - emerald_block
  - (crying)obsidian
  - respawn_anchor
  - amethyst_block
  - budding_amethyst
- needs_stone_tool.json:
  - iron-style blocks
  - gold-style blocks
  - deepslate-style blocks
  - copper-style blocks
- snow_layer_cannot_survive_on.json:
  - ice
  - spawner
  - barrier
- sword_efficient.json:  
  replace:false
  - cactus
  - hay_block
  - mushroom_block
  - (tall)seagrass
  - kelp(plant)
  - bee_nest/beehive
  - sculk_vein
  - glow_lichen
- mineable/axe:  
  replace:false
  - leaves
  - beds
  - bamboo_sapling
  - bamboo
  - cactus
  - shroomlight
  - froglights
- mineable/hoe:  
  replace:false
  - cobweb
  - froglights
  - cactus
  - melon(stem)
  - pumpkin(stem)(jack_o_lantern)(carved_pumpkin)
  - dripleaf(stem)s
  - chorus_plant
  - cocoa
  - mushroom(block)s
  - lily_pad
  - nether_wart
  - sugar_cane
  - sweet_berry_bush
  - vine
  - sea_pickle
  - mangrove_roots
  <details><summary>Not important</summary>

  - dead_bush
  - (large)fern
  - glow_lichen
  - (tall)grass
  - hanging_roots
  - #saplings
  - #crops
  - (tall)seagrass
  - kelp(plant)
  - cave_vines(plant)
  - twisting_vines(plant)
  - fungus
  - weeping_vines(plant)
  - #flowers
  - (crimson/warped)roots
  - nether_sprouts

  </details>

- mineable/pickaxe:  
  replace:false
  - beacon
  - reinforced_deepslate
  - (stained/)glass(pane)(tinted_glass)
  - glowstone
  - sea_lantern
  - redstone_lamp
  - froglights
- mineable/shovel:  
  replace:false
  - powder_snow

**Items:**

- axolotl_tempt_items:  
  replace:false
  - tropical_fish
- stone_crafting_materials:  
  replace:false
  - cobblestone
  - blackstone
  - cobbled_deepslate
  - basalt

</details>

#### Disables

- You can not smelting/blasting Ores (With Stone)
- Line crafts White wool
- mossy_cobblestone_from_vine and mossy_stone_bricks_from_vine

</details>

### Other information

<details><summary style="font-size:18px">Inspirations (Ideas from)</summary>

- [Raw Ores Processing](https://modrinth.com/datapack/raw-ores-processing)
- [Blasting Plus](https://modrinth.com/datapack/blasting-plus)
- [Better Hoes](https://modrinth.com/datapack/better-hoes)
- [Silk Touch Budding Amethyst [PurpurPack]](https://modrinth.com/datapack/purpurpacks-silk-touch-budding-amethyst)
- [Pickaxe Effective Light Source Blocks [PurpurPack]](https://modrinth.com/datapack/purpurpacks-pickaxe-effective-light-source-blocks)
- [Hoe Effective Froglights [PurpurPack]](https://modrinth.com/datapack/purpurpacks-hoe-effective-froglights)
- [Hoe Effective Cactus [PurpurPack]](https://modrinth.com/datapack/purpurpacks-hoe-effective-cactus)
- [Axe Effective Skulls [PurpurPack]](https://modrinth.com/datapack/purpurpacks-axe-effective-skulls)
- [Breed Axolotl With Tropical Fish Item [PurpurPack]](https://modrinth.com/datapack/purpurpack-breed-axolotl-with-tropical-fish-item/versions)
- [Pickaxe Effective Reinforced Deepslate [PurpurPack]](https://modrinth.com/datapack/purpurpacks-pickaxe-effective-reinforced-deepslate)
- [True Survival](https://modrinth.com/datapack/true-survival)
- [Silktouchless Ender Chests](https://modrinth.com/datapack/silktouchless-ender-chests)
- (And packs I forgot)

</details>

_This description is actually incomplete. May have some errors._
